Delete organization domain
curl --request DELETE \
--url https://accounts.livechat.com/v2/organizations/{organization_id}/domains/{domain_id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://accounts.livechat.com/v2/organizations/{organization_id}/domains/{domain_id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://accounts.livechat.com/v2/organizations/{organization_id}/domains/{domain_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "unauthorized",
"error_description": "The account is not authorized.",
"request_id": "5903c51b-89f0-41a9-a25d-4f39af100353"
}{
"error": "resource_not_found",
"error_description": "The requested resource couldn't be found.",
"resource_name": "account",
"resource_id": "def31e95-5ca4-4817-b176-732e4544daca",
"request_id": "5903c51b-89f0-41a9-a25d-4f39af100353"
}{
"error": "invalid_request",
"error_description": "The request is missing a required parameter, includes an invalid parameter value, includes a parameter more than once, or is otherwise malformed.",
"invalid_fields": {
"email": "invalid email address"
},
"request_id": "5903c51b-89f0-41a9-a25d-4f39af100353"
}{
"error": "server_error",
"error_description": "The server encountered an unexpected condition that prevented it from fulfilling the request.",
"request_id": "5903c51b-89f0-41a9-a25d-4f39af100353"
}OrganizationDomains
Delete organization domain
Delete an organization domain by its ID.
DELETE
/
organizations
/
{organization_id}
/
domains
/
{domain_id}
Delete organization domain
Authorizations
PersonalAccessTokenOAuth2BearerToken
Use your account ID as the username and your personal access token (PAT) as the password, or pass a Base64-encoded value directly in the Authorization header. For more information, see the personal access tokens guide.
Path Parameters
Unique organization ID. Unique organization identifier.
Unique domain ID. Unique domain identifier.
Response
Gone: The domain has been deleted.
Was this page helpful?
⌘I